(***********************************************************************)
(*                                                                     *)
(*                                Sklml                                *)
(*                                                                     *)
(*                 The OCaml parallel skeleton system                  *)
(*                                                                     *)
(*                       EPI Serena, INRIA Paris                       *)
(*                                                                     *)
(*  Copyright (c) 2007-2017 INRIA.                                     *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Quentin Carbonneaux                                                *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* $Id: make_skl.ml,v 1.8 2017/05/15 13:58:10 fclement Exp $ *)

module Bb = Black_box;;

(*let heavy_comp_skl = skl () -> Bb.heavy_comp;;*)
let heavy_comp_skl = Skl.make_skl (fun () -> Bb.heavy_comp);;

let heavy_comps parfun = Skl_extra.list_farm parfun (heavy_comp_skl ());;
