(***********************************************************************)
(*                                                                     *)
(*                                Sklml                                *)
(*                                                                     *)
(*                 The OCaml parallel skeleton system                  *)
(*                                                                     *)
(*                       EPI Serena, INRIA Paris                       *)
(*                                                                     *)
(*  Copyright (c) 2007-2017 INRIA.                                     *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Quentin Carbonneaux                                                *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* $Id: sklml_install_data.mli,v 1.13 2017/05/15 17:29:20 fclement Exp $ *)

open Tools_common_types;;

val default_install_root_dir : root_dir;;

type compilers =
  {
   byt : path;
   bin : path;
   dep : path;
   doc : path;
  }
;;

val ocaml_compilers : compilers;;

val mk_path : root_dir -> path list -> path;;
