(***********************************************************************)
(*                                                                     *)
(*                                Sklml                                *)
(*                                                                     *)
(*                 The OCaml parallel skeleton system                  *)
(*                                                                     *)
(*                       EPI Serena, INRIA Paris                       *)
(*                                                                     *)
(*  Copyright (c) 2007-2017 INRIA.                                     *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Quentin Carbonneaux                                                *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* $Id: sklml_version.mli,v 1.10 2017/01/04 11:58:30 fclement Exp $ *)

(** {3 The Pph id card of [Sklml]} *)

val pph_id_card : Upph_id_card.t;;

(**/**)
(** {6 Undocumented features} *)

val option_key_data : Ucommand_option.software_option_key_data;;
val option_key_data_no_prefix : Ucommand_option.software_option_key_data;;
