/***********************************************************************/
/*                                                                     */
/*                              Pio (C++)                              */
/*                                                                     */
/*                    Polyglot Input/Output Library                    */
/*                                                                     */
/*                       EPI Serena, INRIA Paris                       */
/*                                                                     */
/*  Copyright (c) 2005-2017 INRIA.                                     */
/*  Institut National de Recherche en Informatique et en Automatique.  */
/*  All rights reserved. This file is distributed only by permission.  */
/*                                                                     */
/*  Estelle Marchand <Estelle.Marchand@inria.fr>                       */
/*                                                                     */
/***********************************************************************/

/* $Id: send_communication.hpp,v 1.13 2017/05/31 15:54:21 fclement Exp $ */

#include "communication.hpp"
#include "send_typed_value.hpp"

#ifndef _SEND_COMMUNICATION_H
#define _SEND_COMMUNICATION_H

using namespace std;

namespace io{

  void send(ostream& ob,Communication & t);
  void send_communication(ostream& ob,Communication & t);
  //void send(ostream& ob,OTyped_value & p);
  
}
# endif
