(***********************************************************************)
(*                                                                     *)
(*                             Pio (OCaml)                             *)
(*                                                                     *)
(*                    Polyglot Input/Output Library                    *)
(*                                                                     *)
(*                       EPI Serena, INRIA Paris                       *)
(*                                                                     *)
(*  Copyright (c) 2005-2017 INRIA.                                     *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* $Id: version_pio.mli,v 1.7 2017/05/31 15:54:22 fclement Exp $ *)

(** {3 The Pph id card of [Pio/OCaml]} *)

val pph_id_card : Upph_id_card.t;;

(**/**)
(** {6 Undocumented features} *)

val option_key_data : Ucommand_option.software_option_key_data;;
